Deploying to AWS failed, requirement.txt returned non-zero exit status 1

I'm very new to AWS and I didn't do the deployment myself. Can anyone give me an idea on what's happening here and what could be wrong?

This is a Django project and it's running locally just fine. I'd really appreciate any insight on where to start looking for a solution or what to keep an eye for. error message

    Werkzeug==0.14.1  # pyup: < 0.15 # 

https://github.com/pallets/werkzeug
ipdb==0.12  # https://github.com/gotcha/ipdb
Sphinx==2.1.2  # https://github.com/sphinx-doc/sphinx
psycopg2-binary   # https://github.com/psycopg/psycopg2

# Testing
# ------------------------------------------------------------------------------

# Code quality
# ------------------------------------------------------------------------------
# flake8==3.7.7  # https://github.com/PyCQA/flake8
# coverage==4.5.3  # https://github.com/nedbat/coveragepy
black==19.3b0  # https://github.com/ambv/black
pylint-django==2.0.9  # https://github.com/PyCQA/pylint-django

# Django
# ------------------------------------------------------------------------------
factory-boy==2.12.0  # https://github.com/FactoryBoy/factory_boy

django-debug-toolbar==2.0  # https://github.com/jazzband/django-debug-toolbar
django-extensions==2.1.9  # https://github.com/django-extensions/django-extensions
django-coverage-plugin==1.6.0  # https://github.com/nedbat/django_coverage_plugin
pytest-django==3.5.0  # https://github.com/pytest-dev/pytest-django


pytz==2019.1  # https://github.com/stub42/pytz
python-slugify==3.0.2  # https://github.com/un33k/python-slugify
# Pillow==6.0.0  # https://github.com/python-pillow/Pillow
argon2-cffi==19.1.0  # https://github.com/hynek/argon2_cffi
redis==3.2.1  # https://github.com/antirez/redis

# Django
# ------------------------------------------------------------------------------
# django==2.2.2  # pyup: < 3.0  # https://www.djangoproject.com/
django-environ==0.4.5  # https://github.com/joke2k/django-environ
django-model-utils==3.2.0  # https://github.com/jazzband/django-model-utils
django-allauth==0.42.0  # https://github.com/pennersr/django-allauth
# django-crispy-forms==1.7.2  # https://github.com/django-crispy-forms/django-crispy-forms
django-redis==4.10.0  # https://github.com/niwinz/django-redis

# Django REST Framework
# djangorestframework==3.9.4  # https://github.com/encode/django-rest-framework
# coreapi==2.3.3  # https://github.com/core-api/python-client

#Djanfo Corsheaders
# django-cors-headers==3.0.2


# PRECAUTION: avoid production dependencies that aren't in development



gunicorn==19.9.0  # https://github.com/benoitc/gunicorn
Collectfast==0.6.2  # https://github.com/antonagestam/collectfast

# Django
# ------------------------------------------------------------------------------
django-anymail[mailgun]==6.0.1  # https://github.com/anymail/django-anymail

#boto3 

boto3==1.10.34    # https://github.com/boto/boto3

# wheel==0.34.2                   # Wheel
Django==3.0.7                   # Django package
pillow==6.2.2                   # Image manipulation
djangorestframework==3.10.3     # DRF framework
django-dbbackup==3.3.0          # Database backup / restore functionality
django-cors-headers==3.2.0      # CORS headers extension for DRF
django_filter==2.2.0            # Extended filtering options
django-mptt==0.11.0             # Modified Preorder Tree Traversal
django-markdownx==3.0.1         # Markdown form fields
django-markdownify==0.8.0       # Markdown rendering
coreapi==2.3.0                  # API documentation
pygments==2.2.0                 # Syntax highlighting
tablib==0.13.0                  # Import / export data files
django-crispy-forms==1.8.1      # Form helpers
django-import-export==2.0.0     # Data import / export for admin interface
django-cleanup==4.0.0           # Manage deletion of old / unused uploaded files
django-qr-code==1.2.0           # Generate QR codes
flake8==3.3.0                   # PEP checking
coverage==4.0.3                 # Unit test coverage
python-coveralls==2.9.1         # Coveralls linking (for Travis)
rapidfuzz==0.7.6                # Fuzzy string matching
django-stdimage==5.1.1          # Advanced ImageField management
django-tex==1.1.7               # LaTeX PDF export
django-weasyprint==1.0.1        # HTML PDF export